# Info

1. [Installation](https://github.com/bitnami-labs/sealed-secrets?tab=readme-ov-file#helm-chart)

```console
helm repo add sealed-secrets https://bitnami-labs.github.io/sealed-secrets
```

```console
helm install sealed-secrets sealed-secrets/sealed-secrets -f helm/values
```

2. Create a secret

```console
kubectl create secret generic sealed-test-secret --dry-run=client --from-env-file=secrets/mysecrets.env -o yaml | kubeseal \
    --controller-name=sealed-secrets \
    --controller-namespace=default \
    --format yaml
```

OR

```console
echo -n "MySecret" | kubeseal --raw --name sealed-test-secret \
    --controller-name=sealed-secrets \
    --controller-namespace=default
```